Subject: die-cuts, Victorian

From: [email-masked] (MaryJo Ambrose)
Date: Fri, 3 Mar 1995 00:44:43 GMT

I have hundreds of Victorian botanical die-cuts.  Is there any
interest -- roses, pansies, some ferns -- if you know die-cuts
from the 1880's or so, you'll know what I have.  Cheap, cheap,
cheap -- but in good condition.

Let me hear from you at [email-masked] or by phone (215) 387-2283. 

Cheers,
.